Subject: Re: How do you parse lujvo into the component rafsi?

From: [email-masked]
Date: Sun, 11 Mar 2001 00:29:41 -0000

Thanks. Your comments helped me find a bug.

I've been using the official lujvo list to practice on. I found one 
word that doesn't work: natmyrgu'e. It's defined as nation+country = 
fatherland and so must be natmi + gugde, but that extra r doesn't 
make sense. Is this an incorrect lujvo?

--- In lojban@y..., "Jorge Llambias" <jjllambias@h...> wrote:
> 
> la seidensticker cusku di'e
> 
> >lujvo = InitialRafsi TermainlRafsi
> >InitialRafsi = Rafsi InitialRafsi | <null>
> >Rafsi = 4Rafsi | 3Rafsi
> >
> >TerminalRafsi = CCV | CVV | CVCCV | CCVCV
> >4Rafsi = CVCCy | CCVCy
> >3Rafsi = CVV | CCV | CVVr | CVVn | CVC | CVCy
> 
> I think this will generate all valid lujvo, but it
> will of course also generate many invalid ones.
> 
> You should add:
> 
> Allow CVVr and CVVn only as the first component (CVVn must
> be followed by "r" and CVVr must not), and only when
> there are at least two vowel groups following, or a
> terminal CVV.
> 
> Do not allow CVV as the first component unless folowed by
> a single CCV.
> 
> Check the consonant that follows CVC or CVCy.
> 
> When CVC or CVCy is the first component, check whether
> what is left by removing CV is a valid lujvo.
> 
> I think that with those filters you end up with valid
> lujvo only.
> 
> co'o mi'e xorxes